Apache Tomcat 7.0.42

## org.apache.tomcat.util.codec
Interface BinaryDecoder

All Superinterfaces:
  Decoder

All Known Implementing Classes:
  Base64, BaseNCodec

    public interface BinaryDecoder

extends Decoder

Defines common decoding methods for byte array decoders.

Version:
  $Id: BinaryDecoder.java 1459218 2013-03-21 10:31:50Z markt $

Method Summary
`byte[]` `decode(byte[] source)` Decodes a byte array and returns the results as a byte array.

Methods inherited from interface org.apache.tomcat.util.codec.Decoder
`decode`

Method Detail

### decode

    byte[] decode(byte[] source)
                  throws DecoderException

  Decodes a byte array and returns the results as a byte array.

  Parameters:
    `source` - A byte array which has been encoded with the appropriate encoder
  Returns:
    a byte array that contains decoded content
  Throws:
    `DecoderException` - A decoder exception is thrown if a Decoder encounters a failure condition during the decode process.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.